> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apiany.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload image asset

> Uploads an image asset for use as a reference input.



## OpenAPI

````yaml /openapi.json post /v1/images/upload
openapi: 3.1.0
info:
  title: APIAny.AI Public API
  version: 1.0.0
  description: >-
    Public API for APIAny.AI model aggregation, async media tasks, chat
    completions, billing visibility, and task lookup.
servers:
  - url: https://apiany.ai
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Models
    description: Public model catalog.
  - name: Chat
    description: Text generation and chat-compatible endpoints.
  - name: Images
    description: Image generation and editing endpoints.
  - name: Videos
    description: Video generation endpoints.
  - name: Moderation
    description: Image safety and moderation endpoints.
  - name: Tasks
    description: Async task lookup.
  - name: Account
    description: Account and credit visibility.
  - name: Free APIs
    description: Free utility APIs protected by API key rate limits.
paths:
  /v1/images/upload:
    post:
      tags:
        - Images
      summary: Upload image asset
      description: Uploads an image asset for use as a reference input.
      operationId: uploadImageAsset
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
              required:
                - file
      responses:
        '200':
          description: Uploaded asset URL.
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
                required:
                  - url
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````